petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCheckSkeleton

Check that each cell has the correct number of vertices

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSkeleton(DM dm, PetscBool isSimplex, PetscInt cellHeight)

### Input Parameters

| dm | - The DMPlex object
| isSimplex | - Are the cells simplices or tensor products
| cellHeight | - Normally 0

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMPlexCheckSymmetry(), DMPlexCheckFaces()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages